#ifndef __SAMPLE_21_H__
#define __SAMPLE_21_H__

/**
 * By default, program compiled at PC has the address alignment issues which don't exist in C51 environment.
 * For convenience of data-handling,we use the compact-pack mode for storing the exchanging data-buffer 
 * used between PC and ET199 device.
 */
#ifdef _WIN32
#pragma pack(push, 1)
typedef double DOUBLE;
#endif

/**< IN package */
typedef struct _IN_PACKAGE
{	
    float f1;
    float f2;
    DOUBLE d1;
} IN_PACKAGE;


/**< OUT_PACKAGE*/
typedef struct _OUT_PACKAGE
{	
    DOUBLE dResult;
} OUT_PACKAGE;


#ifdef _WIN32
#pragma pack(pop)
#endif


#endif //__SAMPLE_21_H__