#ifndef __SAMPLE_21_H__
#define __SAMPLE_21_H__

#define MAX_RSA_LEN          200

#define CMD_RSA_GEN          0x01
#define CMD_RSA_SIGN         0x02
#define CMD_RSA_VERIFY       0x03
#define CMD_RSA_ENC          0x04
#define CMD_RSA_DEC          0x05

/**
 * By default, program compiled at PC has the address alignment issues which don't exist in C51 environment.
 * For convenience of data-handling,we use the compact-pack mode for storing the exchanging data-buffer 
 * used between PC and ET199 device.
 */
#ifdef _WIN32
#pragma pack(push, 1)
typedef double DOUBLE;
#endif


typedef struct _IO_CONTEXT
{
    BYTE 	bTag;
    WORD   	wDataLen  ;            /*  data length */
    BYTE    pbData[MAX_RSA_LEN]  ; /*  data */

} IO_CONTEXT;


#ifdef _WIN32
#pragma pack(pop)
#endif


#endif //__SAMPLE_21_H__